Package org.kie.api.conf

# Enum Class BetaRangeIndexOption

java.lang.Object
java.lang.Enum<BetaRangeIndexOption>
org.kie.api.conf.BetaRangeIndexOption

All Implemented Interfaces:
  `Serializable`, `Comparable<BetaRangeIndexOption>`, `Constable`, `KieBaseOption`, `Option`, `SingleValueKieBaseOption`, `SingleValueOption`, `SingleValueRuleBaseOption`

public enum BetaRangeIndexOption extends Enum<BetaRangeIndexOption> implements SingleValueRuleBaseOption

An enum to enable beta node range index option.

     drools.betaNodeRangeIndexEnabled = <true|false>

DEFAULT = false

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISABLED`
  `ENABLED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<BetaRangeIndexOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`
  The property name for beta node range index option

  ### Fields inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BetaRangeIndexOption`
  `determineBetaRangeIndex(String option)`
  `String`
  `getPropertyName()`
  `boolean`
  `isBetaRangeIndexEnabled()`
  `static BetaRangeIndexOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BetaRangeIndexOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

  ### Methods inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

  `type`

- ## Enum Constant Details

  - ### ENABLED

    public static final BetaRangeIndexOption ENABLED

  - ### DISABLED

    public static final BetaRangeIndexOption DISABLED

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The property name for beta node range index option
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<BetaRangeIndexOption> KEY

- ## Method Details

  - ### values

    public static BetaRangeIndexOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BetaRangeIndexOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`
    Returns:
      the property name for this option

  - ### isBetaRangeIndexEnabled

    public boolean isBetaRangeIndexEnabled()

  - ### determineBetaRangeIndex

    public static BetaRangeIndexOption determineBetaRangeIndex(String option)